shockwave update firefox

4) Opened Firefox ; Checked plugins and once again saw that Shockwave Flash needed UPDATE NOW (as described in #1 above). Adobe Flash Player is not.
But my flash plugin is Shockwave Flash So mozilla is blocking the update of a new version of shockwave because of issues with which is reportedly already exploited in the wild - so firefox will block that version.
Adobe abandoned Firefox for Linux users years ago, but new the NPAPI version of Flash on Linux back in and now only updates it with. shockwave update firefox
Cómo solucionar error de Firefox Shockwave Flash no responde